import java.util.ArrayList;

public class Customer {

    private String name ;
    private String lastname ;
    private int ID ;
    ArrayList<Ticket> tickets = null;

    public Customer(String name , String lastname , int ID){
        this.name = name ;
        this.lastname = lastname ;
        this.ID = ID ;
    }

    public String getName() {
        return name;
    }

    public String getLastname(){
        return lastname ;
    }

    public int getID() {
        return ID;
    }

    public ArrayList<Ticket> getTickets() {
        return tickets;
    }

    public void reserve(Flight flight , Seat seat , Boolean hasFood , int weight){

        Ticket ticket = new Ticket(seat.getNo(), flight.getNo(), weight, hasFood);
        this.tickets.add(ticket);
    }
}
